Bug 216837 - multimedia/libass: fix ASM option on i386
Summary: multimedia/libass: fix ASM option on i386
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Thomas Zander
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2017-02-05 22:30 UTC by Carlos J. Puga Medina
Modified: 2017-02-21 06:16 UTC (History)
1 user (show)

See Also:
riggs: maintainer-feedback+
riggs: merge-quarterly+


Attachments
patch (1.28 KB, patch)
2017-02-05 22:30 UTC, Carlos J. Puga Medina
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos J. Puga Medina freebsd_committer 2017-02-05 22:30:22 UTC
Created attachment 179659 [details]
patch

Mpv crashes if libass has been compiled with ASM option enabled on i386 arch.

The attached patch solves the problem.

Tested on 11.0-RELEASE/i386.
Comment 1 Jan Beich freebsd_committer 2017-02-05 23:39:01 UTC
Can you try adding CFLAGS_i386+=-mstack-alignment=16 to the port's Makefile instead i.e., similar to bug 205958?
Comment 2 Carlos J. Puga Medina freebsd_committer 2017-02-06 00:49:37 UTC
(In reply to Jan Beich (mail not working) from comment #1)
 
Using -mstack-alignment=16 doesn't fix the crash.
Comment 3 Thomas Zander freebsd_committer 2017-02-18 11:45:05 UTC
This is with libass 0.13.6, right?
Comment 4 Carlos J. Puga Medina freebsd_committer 2017-02-20 15:33:24 UTC
(In reply to Thomas Zander from comment #3)

Correct!

Thanks for taking care of it, Thomas :)
Comment 5 commit-hook freebsd_committer 2017-02-20 17:51:34 UTC
A commit references this bug:

Author: riggs
Date: Mon Feb 20 17:51:20 UTC 2017
New revision: 434477
URL: https://svnweb.freebsd.org/changeset/ports/434477

Log:
  Fix stack alignment on i386, may cause runtime crashes

  PR:		216837
  Submitted by:	cpm
  MFH:		2017Q1

Changes:
  head/multimedia/libass/Makefile
  head/multimedia/libass/files/
  head/multimedia/libass/files/patch-configure.ac
Comment 6 commit-hook freebsd_committer 2017-02-20 18:00:46 UTC
A commit references this bug:

Author: riggs
Date: Mon Feb 20 18:00:07 UTC 2017
New revision: 434479
URL: https://svnweb.freebsd.org/changeset/ports/434479

Log:
  Chase libass runtime fix r434477; bump PORTREVISION on consumers

  PR:		216837
  Reported by:	cpm
  MFH:		2017Q1

Changes:
  head/games/retroarch/Makefile
  head/multimedia/aegisub/Makefile
  head/multimedia/bino/Makefile
  head/multimedia/ffmpeg/Makefile
  head/multimedia/gstreamer1-plugins-assrender/Makefile
  head/multimedia/handbrake/Makefile
  head/multimedia/kodi/Makefile
  head/multimedia/mplayer/Makefile.common
  head/multimedia/mplayer2/Makefile
  head/multimedia/mpv/Makefile
  head/multimedia/plexhometheater/Makefile
  head/multimedia/vapoursynth/Makefile
  head/multimedia/vlc/Makefile
Comment 7 commit-hook freebsd_committer 2017-02-21 06:09:01 UTC
A commit references this bug:

Author: riggs
Date: Tue Feb 21 06:08:30 UTC 2017
New revision: 434503
URL: https://svnweb.freebsd.org/changeset/ports/434503

Log:
  MFH: r434477

  Fix stack alignment on i386, may cause runtime crashes

  PR:		216837
  Submitted by:	cpm

  Approved by:	ports-secteam (junovitch)

Changes:
_U  branches/2017Q1/
  branches/2017Q1/multimedia/libass/Makefile
  branches/2017Q1/multimedia/libass/files/
Comment 8 commit-hook freebsd_committer 2017-02-21 06:16:11 UTC
A commit references this bug:

Author: riggs
Date: Tue Feb 21 06:15:05 UTC 2017
New revision: 434505
URL: https://svnweb.freebsd.org/changeset/ports/434505

Log:
  MFH: r434479

  Chase libass runtime fix r434477; bump PORTREVISION on consumers

  PR:		216837
  Reported by:	cpm

  Approved by:	ports-secteam (junovitch)

Changes:
_U  branches/2017Q1/
  branches/2017Q1/games/retroarch/Makefile
  branches/2017Q1/multimedia/aegisub/Makefile
  branches/2017Q1/multimedia/bino/Makefile
  branches/2017Q1/multimedia/ffmpeg/Makefile
  branches/2017Q1/multimedia/gstreamer1-plugins-assrender/Makefile
  branches/2017Q1/multimedia/handbrake/Makefile
  branches/2017Q1/multimedia/kodi/Makefile
  branches/2017Q1/multimedia/mplayer/Makefile.common
  branches/2017Q1/multimedia/mplayer2/Makefile
  branches/2017Q1/multimedia/mpv/Makefile
  branches/2017Q1/multimedia/plexhometheater/Makefile
  branches/2017Q1/multimedia/vapoursynth/Makefile
  branches/2017Q1/multimedia/vlc/Makefile